registercheckby openlaw group
API referenceLists

Update a list

PATCH
/lists/{list_id}

Fields you omit are left unchanged.

Free.

Authorization

bearerAuth
AuthorizationBearer <token>

Your API key, sent as Authorization: Bearer rc_live_….

In: header

Path Parameters

list_id*string

The list's id.

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Changes to a list.

Properties1 <= properties

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PATCH "https://example.com/lists/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "object": "list",  "name": "string",  "description": "string",  "emoji": "string",  "tags": [    "string"  ],  "item_count": 0,  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}